Page MenuHomePhabricator

extensions/TimedMediaHandler - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0) Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a non-executable file with 755 permissions, rather than 644, lintian will throw a warning like:

W: wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/extensions/TimedMediaHandler/WebVideoTranscode/WebVideoTranscodeJob.php

  1. Files which should have permissions set to 644

extensions/TimedMediaHandler/WebVideoTranscode/WebVideoTranscodeJob.php

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Event Timeline

wpmirrordev assigned this task to brion.
wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 7 2015, 11:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald Transcript
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 8 2015, 12:32 AM

You can't see that in Gerrit (fail)

Yeah, it's quite annoying that Gerrit doesn't show mode changes when you alter the file in another way too. We ran into it in wikimedia's mediawiki-config repository today, I only noticed while merging the change on the deployment server.

I wonder if there's an upstream bug for that somewhere.

Change 236809 had a related patch set uploaded (by Southparkfan):
chmod 644 WebVideoTranscodeJob.php

https://gerrit.wikimedia.org/r/236809

Change 236809 merged by jenkins-bot:
chmod 644 WebVideoTranscodeJob.php

https://gerrit.wikimedia.org/r/236809

Jdforrester-WMF closed this task as Resolved.Sep 8 2015, 3:51 PM
Jdforrester-WMF reassigned this task from brion to Southparkfan.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set Security to None.

I confirm that the above mentioned debian lintian warning is cured.
Thanks.

Jdforrester-WMF moved this task from Backlog to Done on the Multimedia board.Sep 15 2015, 4:28 PM